Bug 1710358 - [RFE] Support standalone deployments of ganesha (nfs role)
Summary: [RFE] Support standalone deployments of ganesha (nfs role)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Guillaume Abrioux
QA Contact: Yogev Rabl
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1642481 1696717 1730176
TreeView+ depends on / blocked
 
Reported: 2019-05-15 12:16 UTC by Giulio Fidente
Modified: 2020-01-31 12:46 UTC (History)
12 users (show)

Fixed In Version: ceph-ansible-4.0.0-0.1.rc9.el8cp
Doc Type: Enhancement
Doc Text:
.The `nfs-ganesha` service is now supported as a standalone deployment Red Hat Openstack Directory (OSPd) requires the `ceph-ansible` utility to be able to deploy the `nfs-ganesha` service and configure it so that it points to an external, unmanaged, pre-existing, Ceph cluster. As of {product} {release}, `ceph-ansible` allows the deployment of an internal `nfs-ganesha` service with an external Ceph cluster.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:46:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4010 0 'None' closed nfs: support internal ganesha with external ceph cluster 2020-03-06 08:34:15 UTC
Github ceph ceph-ansible pull 4053 0 'None' closed nfs: support internal ganesha with external ceph cluster (bp #4010) 2020-03-06 08:34:15 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:51 UTC

Description Giulio Fidente 2019-05-15 12:16:52 UTC
OSPd requires ceph-ansible to be able to deploy the nfs role (ganesha) and configure it so that it points to an external, unamanged, pre-existing, Ceph cluster (including ceph-mds).

Comment 5 Giridhar Ramaraju 2019-08-05 13:08:48 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 6 Giridhar Ramaraju 2019-08-05 13:10:12 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 17 errata-xmlrpc 2020-01-31 12:46:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.